<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="serverEnsembleListResource">
<systemPools>
	<xsl:attribute name="uri">
		<xsl:value-of select="@uri"/>
	</xsl:attribute>
	<xsl:for-each select="serverEnsembleResource">
		<xsl:sort order="ascending" select="id"/>  
		<systemPool>
			<xsl:attribute name="uri">
				<xsl:value-of select="@uri"/>
			</xsl:attribute>
			<name>
				<xsl:value-of select="name"/>
			</name>
			<description>
				<xsl:value-of select="description"/>
			</description>
			<state>
				<xsl:value-of select="state"/>
			</state>
			<status>
				<xsl:value-of select="status"/>
			</status>
			<type>
				<xsl:value-of select="type"/>
			</type>
<!--			<workloads>-->
<!--				<xsl:attribute name="uri">-->
<!--					<xsl:value-of select="@uri"/><xsl:text>/workloads</xsl:text>-->
<!--				</xsl:attribute>-->
<!--			</workloads>-->
			<stats>
				<xsl:attribute name="uri">
					<xsl:value-of select="@uri"/><xsl:text>/stats</xsl:text>
				</xsl:attribute>
			</stats>
		</systemPool>	
	</xsl:for-each>
</systemPools>
</xsl:template>

</xsl:stylesheet>