<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="VAResource">
	<virtualAppliance>
		<!-- Set URI attribute -->
		<xsl:attribute name="uri">
			<xsl:value-of select="@uri"/>
		</xsl:attribute>
		<xsl:variable name="uri">
     		<xsl:value-of select="@uri"/>
		</xsl:variable> 	
		<xsl:for-each select="/VAResource/*">
			<xsl:element name="{name()}">
				<xsl:value-of select="."/>
			</xsl:element>
		</xsl:for-each>	
		<ovf>
			<xsl:attribute name="uri">
				<xsl:value-of select="$uri"/><xsl:text>/ovf</xsl:text>
			</xsl:attribute>	
		</ovf>
	</virtualAppliance>
</xsl:template>

</xsl:stylesheet>