<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="VAListResource">
<virtualAppliances>
	<xsl:attribute name="uri">
		<xsl:value-of select="@uri"/>
	</xsl:attribute>
	<xsl:for-each select="VAResource">
		<xsl:sort order="ascending" select="name"/>  
		<virtualAppliance>
			<xsl:attribute name="uri">
				<xsl:value-of select="@uri"/>
			</xsl:attribute>
			<name>
				<xsl:value-of select="name"/>
			</name>
			<architecture>
				<xsl:value-of select="architecture"/>
			</architecture>		
		</virtualAppliance>	
	</xsl:for-each>
</virtualAppliances>  
</xsl:template>

</xsl:stylesheet>