<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="workloadListResource">
<workloads>
	<xsl:attribute name="uri">
		<xsl:value-of select="@uri"/>
	</xsl:attribute>
	<xsl:for-each select="workloadResource">
		<xsl:sort order="ascending" select="oid"/>  
		<workload>
			<xsl:attribute name="uri">
				<xsl:value-of select="@uri"/>
			</xsl:attribute>
			<name>
				<xsl:value-of select="name"/>
			</name>
			<state>
				<xsl:value-of select="deployState"/>
			</state>
		</workload>
	</xsl:for-each>
</workloads>
</xsl:template>

</xsl:stylesheet>